package com.fxy.detection.bean;

import android.os.Parcel;
import android.os.Parcelable;

import org.json.JSONArray;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.List;

public class TrackingBoxBean implements Parcelable {
    private String need_confirm= "N";
    private String confirm_msg= "";
    private String voice_name= "";
    private String show_weight_img= "";
    private String show_text= "";
    private List<TakePictureBean> need_photo= new ArrayList<>();
    private String tracking_number= "";
    private String box_number= "";
    private int yipaizhao_qty= 0;
    private String need_customer = "";
    private String no_clear = "";
    private String business_type = "";
    private List<StorageRecordBean> zuijin_nums= new ArrayList<>();

    public TrackingBoxBean(){

    }


    protected TrackingBoxBean(Parcel in) {
        need_confirm = in.readString();
        confirm_msg = in.readString();
        voice_name = in.readString();
        show_weight_img = in.readString();
        show_text = in.readString();
        need_photo = in.createTypedArrayList(TakePictureBean.CREATOR);
        tracking_number = in.readString();
        box_number = in.readString();
        yipaizhao_qty = in.readInt();
        need_customer = in.readString();
        no_clear = in.readString();
        business_type = in.readString();
        zuijin_nums = in.createTypedArrayList(StorageRecordBean.CREATOR);
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(need_confirm);
        dest.writeString(confirm_msg);
        dest.writeString(voice_name);
        dest.writeString(show_weight_img);
        dest.writeString(show_text);
        dest.writeTypedList(need_photo);
        dest.writeString(tracking_number);
        dest.writeString(box_number);
        dest.writeInt(yipaizhao_qty);
        dest.writeString(need_customer);
        dest.writeString(no_clear);
        dest.writeString(business_type);
        dest.writeTypedList(zuijin_nums);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<TrackingBoxBean> CREATOR = new Creator<TrackingBoxBean>() {
        @Override
        public TrackingBoxBean createFromParcel(Parcel in) {
            return new TrackingBoxBean(in);
        }

        @Override
        public TrackingBoxBean[] newArray(int size) {
            return new TrackingBoxBean[size];
        }
    };

    public String getNeedConfirm() {
        return need_confirm;
    }

    public void setNeedConfirm(String need_confirm) {
        this.need_confirm = need_confirm;
    }

    public String getConfirmMsg() {
        return confirm_msg;
    }

    public void setConfirmMsg(String confirm_msg) {
        this.confirm_msg = confirm_msg;
    }

    public String getVoiceName() {
        return voice_name;
    }

    public void setVoiceName(String voice_name) {
        this.voice_name = voice_name;
    }

    public String getShowWeightImg() {
        return show_weight_img;
    }

    public void setShowWeightImg(String show_weight_img) {
        this.show_weight_img = show_weight_img;
    }

    public String getShowText() {
        return show_text;
    }

    public void setShowText(String show_text) {
        this.show_text = show_text;
    }

    public List<TakePictureBean> getNeedPhoto() {
        return need_photo;
    }

    public void setNeedPhoto(List<TakePictureBean> need_photo) {
        this.need_photo = need_photo;
    }

    public String getTrackingNumber() {
        return tracking_number;
    }

    public void setTrackingNumber(String tracking_number) {
        this.tracking_number = tracking_number;
    }

    public String getBoxNumber() {
        return box_number;
    }

    public void setBoxNumber(String box_number) {
        this.box_number = box_number;
    }

    public int getYipaizhaoQty() {
        return yipaizhao_qty;
    }

    public void setYipaizhaoQty(int yipaizhao_qty) {
        this.yipaizhao_qty = yipaizhao_qty;
    }

    public List<StorageRecordBean> getZuijinNums() {
        return zuijin_nums;
    }

    public void setZuijinNums(List<StorageRecordBean> zuijin_nums) {
        this.zuijin_nums = zuijin_nums;
    }

    public String getNeedCustomer() {
        return need_customer;
    }

    public void setNeedCustomer(String need_customer) {
        this.need_customer = need_customer;
    }

    public String getNoClear() {
        return no_clear;
    }

    public void setNoClear(String no_clear) {
        this.no_clear = no_clear;
    }

    public String getBusinessType() {
        return business_type;
    }

    public void setBusinessType(String business_type) {
        this.business_type = business_type;
    }
}
